-- Makes the main menu scene, adds the various components
newScene('menu', {250,245,229})

scenes:setInit('menu', function()
	play, help, exit = {}, {}, {}
	play.img = love.graphics.newImage('/img/menu/play.png')
	play.x = 50
	play.y = 50
	help.img = love.graphics.newImage('/img/menu/help.png')
	help.x = 50
	help.y = 100
	exit.img = love.graphics.newImage('/img/menu/exit.png')
	exit.x = 50
	exit.y = 500
	end)

scenes:setUpdate('menu', function(dt)
	local mx, my = love.mouse.getPosition()
	if love.mouse.isDown('l') then
		if mx >= play.x and my >= play.y and mx <= play.x+play.img:getWidth() and my <= play.y+play.img:getHeight() then
			scenes:setActive('ingame')
		elseif mx >= help.x and my >= help.y and mx <= help.x+help.img:getWidth() and my <= help.y+help.img:getHeight() then
			scenes:setActive('help')
		elseif mx >= exit.x and my >= exit.y and mx <= exit.x+exit.img:getWidth() and my <= exit.y+exit.img:getHeight() then
			love.event.push('q')
		end
	end

	--function love.keyreleased(k)
	--	if k == 'escape' then love.event.push('q') end
	--end
	end)

scenes:setDraw('menu', function()
	love.graphics.draw(play.img, play.x, play.y)
	love.graphics.draw(help.img, help.x, help.y)
	love.graphics.draw(exit.img, exit.x, exit.y)
	end)
